#include <bits/stdc++.h>

using namespace std;

typedef long long ll;


int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    vector<int> c(2*n,-1);
    int br=1;
    c[0]=n;
    c[n]=n+1;
    for (int i=1; i<n; i++){
        if (br%2!=0){
            c[i]=br;
        }
        else{
            c[i]=(2*n)+1-br;
        }
        br++;
    }
    br=1;
    for (int i=n+1; i<2*n; i++){
        if (br%2==0){
            c[i]=br;
        }
        else{
            c[i]=c[i]=(2*n)+1-br;
        }
        br++;
    }
    swap(c[n],c[0]);
    for (int i:c){
        if (i==n){
            cout << endl;
        }
        if (i!=-1){
            cout << i << " ";
        }
    }
    return 0;
}